#1979 closed defect (fixed)

Milkymist: Handle MIDI framing in the interrupt handler

Reported by: seb Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

This patch moves MIDI message detection from higher layers to the MIDI
interrupt handler. This way, MIDI receivers only need to wake up once
per complete message and not for every single byte.

The /dev/midi queue size is changed from 64 bytes to 32 messages
(typically 3 bytes each).

Attachments (1)

RTEMS: Handle MIDI framing in the interrupt handler.eml (1.7 KB) - added by seb on Dec 3, 2011 at 9:14:05 AM.
patch

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Dec 3, 2011 at 3:16:20 PM by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: message/rfc822text/plain

comment:2 Changed on Dec 3, 2011 at 3:17:54 PM by Gedare Bloom

Cc: Gedare Bloom added

comment:3 Changed on Dec 5, 2011 at 9:22:36 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Closing.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.